Skip to main content
GET
/
projects
/
{project_id}
/
player_settings
/
access_tiers
/
{id}
Get access tier
curl --request GET \
  --url https://api.beyondwords.io/v1/projects/{project_id}/player_settings/access_tiers/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": 1,
  "slug": "anonymous",
  "name": "anonymous",
  "segment_limit": null,
  "ads_enabled": true,
  "intro_url": null,
  "outro_url": null,
  "created": "2026-01-01 00:00:00 UTC",
  "updated": "2026-01-01 00:00:00 UTC"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

id
string
required

The numeric ID of the access tier

Response

200 - application/json

OK

id
integer
slug
string

Unique identifier for the object

name
string

Human readable name of the access tier

segment_limit
integer | null

Maximum number of segments allowed for playback. Null means no limit.

ads_enabled
boolean

Whether ads are enabled for this tier

intro_url
string | null

URL of the intro audio file

outro_url
string | null

URL of the outro audio file

created
string

Time at which the object was created (ISO 8601)

updated
string

Time at which the object was updated (ISO 8601)